Subject: 25.0.50; [PATCH] Invalid compilation warning about GTK+ when using GTK+ 3
From: Aku Kotkavuo <[email-masked]>
To: [email-masked]
Date: Wed, 29 Apr 2015 02:57:04 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

When compiling the latest version of Emacs, I encountered a warning
about my GTK+ version during the configuration phase:

> configure: WARNING: Your version of Gtk+ will have problems with
>        closing open displays.  This is no problem if you just use
>        one display, but if you use more than one and close one of them
>        Emacs may crash.

This seemed curious to me, so I dug in a little deeper and noticed that
this part of the configure script was written in 2008 and was supposed
to warn users of GTK+ 2.8 and earlier, released in 2005. I'm using GTK+
3.14.

I wrote a tiny patch to fix the check.

(Maybe the whole warning should be removed? Is there someone still using
GTK+ 2.8 or older?)

From 25ada920247cda3ed9d074c7e3eab6313548370d Mon Sep 17 00:00:00 2001
From: Aku Kotkavuo <[email-masked]>
Date: Wed, 29 Apr 2015 00:32:19 +0300
Subject: [PATCH] Don't warn about too old GTK+ when using GTK+ 3

---
 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/configure.ac b/configure.ac
index d2f21ee..2d2fefa 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2496,7 +2496,7 @@ if test x"$pkg_check_gtk" = xyes; then
     GTK_OBJ="gtkutil.o $GTK_OBJ"
     term_header=$gtk_term_header
     USE_X_TOOLKIT=none
-    if "$PKG_CONFIG" --atleast-version=2.10 gtk+-2.0; then
+    if "$PKG_CONFIG" --atleast-version=2.10 gtk+-2.0 || "$PKG_CONFIG" gtk+-3.0; then
       :
     else
       AC_MSG_WARN([[Your version of Gtk+ will have problems with
-- 
2.1.4